Anonymous Login
2019-08-25 19:39 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001157v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reportervirajdoshi 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001157: Copy project from template failes
DescriptionI have setup a project which has several tasks. I have marked that project as template. now when i create a new project from project creation screen (not from project designer) and say 'import tasks from' my template project, it fails and i get the following error messages :

Demographics Parser: CTask::store-check failed - task end date is NULL
Charges Parser: CTask::store-check failed - task end date is NULL
Dictations Parser: CTask::store-check failed - task end date is NULL

I have task end dates for each of my tasks. please see the attached screen shots.

Can you tell me what am i doing wrong here ?
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000783closedcaseydk Pending Requests Error: Transfer from template to other projects 
+Relationships

-Notes

~0002573

virajdoshi (reporter)

This issue is similar to issue id 0000783.

~0002603

opto (manager)

If this is the end date of dynamic tasks problem, I fixed that some time ago (at least gave a workaround), I think also here in the bugs section.

Klaus

~0002605

opto (manager)

Last edited: 2012-07-25 03:43

I think that was bug 1088. There, dependencies are calculated before children are imported, so all dynamic tasks crash by that message. I think the bug has a fix or workaround which may not be in core yet.

Klaus

~0002709

caseydk (administrator)

Resolved: https://github.com/caseysoftware/web2project/pull/170

I've adjusted how tasks are imported and how the corresponding dates are calculated. The Dynamic issues is under 0001088 and is being resolved separately.
+Notes

-Issue History
Date Modified Username Field Change
2012-07-01 22:51 virajdoshi New Issue
2012-07-01 22:51 virajdoshi File Added: template task copy fail.JPG
2012-07-01 22:52 virajdoshi File Added: template task copy fail SQL.JPG
2012-07-01 22:53 virajdoshi Note Added: 0002573
2012-07-08 20:11 caseydk Project v2.4 Release (Closed) => v3.0 Release
2012-07-08 20:11 caseydk Relationship added has duplicate 0000783
2012-07-24 12:12 opto Note Added: 0002603
2012-07-25 03:43 opto Note Added: 0002605
2012-07-25 03:43 opto Note Edited: 0002605
2012-11-24 17:03 caseydk Note Added: 0002709
2012-11-24 17:03 caseydk Status new => resolved
2012-11-24 17:03 caseydk Resolution open => fixed
2012-11-24 17:03 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History